Bug 487929 - (CVE-2009-0745) CVE-2009-0745 kernel: ext4: ext4_group_add() missing initialisation issue
CVE-2009-0745 kernel: ext4: ext4_group_add() missing initialisation issue
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
public=20090111,source=kernelbugzilla...
: Security
Depends On: 487932 487933
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-01 09:33 EST by Eugene Teo (Security Response)
Modified: 2011-10-25 13:38 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-25 13:38:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eugene Teo (Security Response) 2009-03-01 09:33:26 EST
Description of problem:
Name: CVE-2009-0745
Status: Candidate
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2009-0745
Final-Decision: 
Interim-Decision: 
Modified: 
Proposed: 
Assigned: 20090227
Category: 
Reference: CONFIRM:http://bugzilla.kernel.org/show_bug.cgi?id=12433
Reference: CONFIRM:http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=fdff73f094e7220602cc3f8959c7230517976412
Reference: CONFIRM:http://kernel.org/pub/linux/kernel/v2.6/ChangeLog-2.6.27.19
Reference: CONFIRM:http://kernel.org/pub/linux/kernel/v2.6/ChangeLog-2.6.28.7
Reference: VUPEN:ADV-2009-0509
Reference: URL:http://www.vupen.com/english/advisories/2009/0509

The ext4_group_add function in fs/ext4/resize.c in the Linux kernel 2.6.27 before 2.6.27.19 and 2.6.28 before 2.6.28.7 does not properly initialize the group descriptor during a resize (aka resize2fs) operation, which might allow local users to cause a denial of service (OOPS) by arranging for crafted values to be present in available memory.
Comment 2 Eugene Teo (Security Response) 2009-03-01 09:44:07 EST
mrg-1 is affected by CONFIG_EXT4DEV_FS is not set by default.
Comment 5 Eugene Teo (Security Response) 2009-03-01 11:01:17 EST
Steps to reproduce:
1) run resize2fs /dev/vgX/name (ext4 formatted lvm2 volume)
Comment 9 Eugene Teo (Security Response) 2009-03-19 00:16:49 EDT
CVSS2 score of medium, 4.9 (AV:L/AC:L/Au:N/C:N/I:N/A:C)
Comment 11 errata-xmlrpc 2009-09-02 04:01:32 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2009:1243 https://rhn.redhat.com/errata/RHSA-2009-1243.html
Comment 12 errata-xmlrpc 2009-09-02 05:06:41 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2009:1243 https://rhn.redhat.com/errata/RHSA-2009-1243.html
Comment 13 errata-xmlrpc 2009-09-02 08:07:53 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2009:1243 https://rhn.redhat.com/errata/RHSA-2009-1243.html
Comment 16 Kurt Seifried 2011-10-25 13:38:36 EDT
487929

Note You need to log in before you can comment on or make changes to this bug.